Author Topic: The name game :: Object Snaps  (Read 7088 times)

0 Members and 1 Guest are viewing this topic.

JohnK

  • Administrator
  • Seagull
  • Posts: 10681
The name game :: Object Snaps
« on: May 03, 2006, 11:50:29 AM »
The object of this game is to list everything you know about the subject. Every post has to something different then what was previously listed or it can be labeled as "Duplicate entry!" in bold red letters (If no one notices that it was a duplicate entry, don't tell anyone). After the subject is exhausted, we will add up the duplicate entries and see who has the fewest.

Entries do not have to be limited to general knowledge or specific language problems, they can be anything you have discovered throughout your experiences or research.
TheSwamp.org (serving the CAD community since 2003)
Member location map - Add yourself

Donate to TheSwamp.org

JohnK

  • Administrator
  • Seagull
  • Posts: 10681
Re: The name game :: Object Snaps
« Reply #1 on: May 03, 2006, 11:51:01 AM »
You can use the TAB key to cycle through available object snaps.
TheSwamp.org (serving the CAD community since 2003)
Member location map - Add yourself

Donate to TheSwamp.org

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: The name game :: Object Snaps
« Reply #2 on: May 03, 2006, 12:01:41 PM »
You can enter a snap over ride at the command line during a command.

Like this:
Code: [Select]
Command: line
Specify first point: mid
of
Specify next point or [Undo]: end
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

Arizona

  • Guest
Re: The name game :: Object Snaps
« Reply #3 on: May 03, 2006, 12:12:00 PM »
Setting the system variable osmode to 0 will turn off osnaps.
F3 is the toggle

Lin-Z

  • Guest
Re: The name game :: Object Snaps
« Reply #4 on: May 03, 2006, 12:23:09 PM »
you can use them inside the CAL command such as using osnaps to add a distance to a formula

Chuck Gabriel

  • Guest
Re: The name game :: Object Snaps
« Reply #5 on: May 03, 2006, 12:27:43 PM »
Running osnaps can foul up the behavior of some lisp routines.  However, if you change the osnap settings in a program to avoid this, it's good manners to put them back the way you found them when you're done.

MikePerry

  • Guest
Re: The name game :: Object Snaps
« Reply #6 on: May 03, 2006, 12:59:53 PM »
You can turn OFF OSnap functionality for Hatch Patterns with OSnapHatch ( AutoCAD 2005 or above ).

ronjonp

  • Needs a day job
  • Posts: 7535
Re: The name game :: Object Snaps
« Reply #7 on: May 03, 2006, 01:02:11 PM »
You can type in 'OS during a command to set transparently.

Shift+RgtClk shows osnap POP.

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

grush

  • Guest
Re: The name game :: Object Snaps
« Reply #8 on: May 03, 2006, 01:08:31 PM »
Nearest should be removed from the POP menu.
Just my $4.07.

Pete

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
Re: The name game :: Object Snaps
« Reply #9 on: May 03, 2006, 01:28:25 PM »
If you miss your osnap override point, you must re-enter your override osnap before the program will snap to that point.
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie

whdjr

  • Guest
Re: The name game :: Object Snaps
« Reply #10 on: May 03, 2006, 01:34:26 PM »
If you type in or select the wrong snap option you can just click into empty space to null out that choice and allow for another snap option.

David Hall

  • Automatic Duh Generator
  • King Gator
  • Posts: 4076
Re: The name game :: Object Snaps
« Reply #11 on: May 03, 2006, 01:35:01 PM »
osmode is very usefull to set osnaps quickly
Everyone has a photographic memory, Some just don't have film.
They say money can't buy happiness, but it can buy Bacon and that's a close second.
Sometimes the question is more important than the answer. (Thanks Kerry for reminding me)

Shinyhead

  • Guest
Re: The name game :: Object Snaps
« Reply #12 on: May 03, 2006, 01:39:46 PM »
using transparent snaps on the command line with point filters can make simple macros work almost as well as full fledged lisp routines, only much smaller and simpler.

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
Re: The name game :: Object Snaps
« Reply #13 on: May 03, 2006, 01:47:59 PM »
osnaps can be accessed via LISP to return the appropriate osnap point even if osmode is set to 0.
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie

Bryco

  • Water Moccasin
  • Posts: 1883
Re: The name game :: Object Snaps
« Reply #14 on: May 03, 2006, 02:16:54 PM »
Non is the command line way of turning off snaps.

Bryco

  • Water Moccasin
  • Posts: 1883
Re: The name game :: Object Snaps
« Reply #15 on: May 03, 2006, 02:17:35 PM »
F3 also turns off snaps

Bryco

  • Water Moccasin
  • Posts: 1883
Re: The name game :: Object Snaps
« Reply #16 on: May 03, 2006, 02:20:04 PM »
Typing End  on the command line during a command will give you an end snap

VerticalMojo

  • Guest
Re: The name game :: Object Snaps
« Reply #17 on: May 03, 2006, 02:35:06 PM »
Typing OS in the command line will pop up your osnap settings....

*cool game by the way. Learning at the same time.....

Jeff_M

  • King Gator
  • Posts: 4102
  • C3D user & customizer
Re: The name game :: Object Snaps
« Reply #18 on: May 03, 2006, 02:57:31 PM »
To toggle OSNAPS on/off, as the F3 key does, in your program instead of saving/restoring the original value to/from 0:
Code: [Select]
(if (= 16384 (logand (getvar "osmode") 16384))
  (setvar "osmode" (- (getvar "osmode") 16384))
  (setvar "osmode" (+ (getvar "osmode") 16384))
  )

Bryco

  • Water Moccasin
  • Posts: 1883
Re: The name game :: Object Snaps
« Reply #19 on: May 03, 2006, 03:10:23 PM »
Since nearest and perpendicular are dangerous snaps, I've set up F4 to be nearest, F5 to be perpendicular and kept on going. It doesn't take long to get used to  and surprisingly enough I use F6 "Cen" more than any other.
It's just safer to be in control of which snap I am using.

Sdoman

  • Guest
Re: The name game :: Object Snaps
« Reply #20 on: May 03, 2006, 03:20:45 PM »
Back in the old days, when you accidentally typed "END" for a osnap when a command wasn't active, the next thing you'd see is a black DOS screen because AutoCAD ENDED!

Birdy

  • Guest
Re: The name game :: Object Snaps
« Reply #21 on: May 03, 2006, 05:13:07 PM »
PJD: His shirt is covered with 'em! :)

SDETERS

  • Guest
Re: The name game :: Object Snaps
« Reply #22 on: May 03, 2006, 05:42:48 PM »
Typing in Mbuttonpan and setting it to 0 will give you osnap commands when One clicks the middle mouse button!

CADaver

  • Guest
Re: The name game :: Object Snaps
« Reply #23 on: May 03, 2006, 06:03:06 PM »
using running osnaps over large xrefs can tax less powerful systems to failure.

Lin-Z

  • Guest
Re: The name game :: Object Snaps
« Reply #24 on: May 03, 2006, 06:33:21 PM »
in 2007 you have to have OSNAPs turned on to snap to attached DWF's

Bryco

  • Water Moccasin
  • Posts: 1883
Re: The name game :: Object Snaps
« Reply #25 on: May 03, 2006, 10:14:04 PM »
Aperture controls the size of the object snap box, like saying how strong you want the magnet. To see this in action type aperture-> 50 then type APBOX and set it to 1. Cool? Yeah but it gets annoying.

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
Re: The name game :: Object Snaps
« Reply #26 on: May 03, 2006, 10:16:53 PM »
ObjectARX allows you to program custom osnaps according to your own needs (see my previous QuarterSnap project)
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: The name game :: Object Snaps
« Reply #27 on: May 03, 2006, 10:21:50 PM »
The PURPOSE of Osnaps is to assist with the positional relationships between drawing elements
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
Re: The name game :: Object Snaps
« Reply #28 on: May 03, 2006, 10:26:58 PM »
Osnap (snapping to a point in relation to an object) is decidedly different from Snap (snapping to a point in relation to a drawing grid)
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie

Sdoman

  • Guest
Re: The name game :: Object Snaps
« Reply #29 on: May 03, 2006, 10:33:56 PM »
You can use direct distance and Osnaps to get an angle or direction.  Say for example you have a line drawn at some uncommon angle.  And you have some stuff you want to stretch along that angle.  Start the stretch command, select your stuff, hit enter, pick a basepoint somewhere on the angled line using NEAr or ENDPoint, then use NEAr and drag your cursor over the line in the direction you want, and type the distance.   As long as AutoCAD can find something to snap too, it will work, even if the snap too point is off screen.  This is especially useful when working in 3D.

CADaver

  • Guest
Re: The name game :: Object Snaps
« Reply #30 on: May 03, 2006, 10:49:27 PM »
OSNAP searches the area enclosed by the APERTURE, and will select the feature nearest the intersection of the crosshairs that satisfies the osnap condition.

Sdoman

  • Guest
Re: The name game :: Object Snaps
« Reply #31 on: May 03, 2006, 11:09:14 PM »
Many times when you want to Osnap to the INSertion point of a block that contains lots of attributes, AutoCAD will snap to the attribute insertion points instead of the blocks insertion point (they should have given text objects a unique osnap).  You can avoid this by preceding your INSertion osnap with a QUIck osnap. 

This can been done by typing at the command prompt QUI,INS using a comma to separate the osnaps.  Or it can also be done one snap at a time by using a toolbar or menu:  QUI<Enter>INS<Enter>.



[fixed typo]
[another typo <g> ]
« Last Edit: May 04, 2006, 08:17:56 AM by Steve Doman »

Bryco

  • Water Moccasin
  • Posts: 1883
Re: The name game :: Object Snaps
« Reply #32 on: May 04, 2006, 12:09:32 AM »
fro (from) can be used in conjunction w/ osnaps and while it does cool thangs it's too confusing to bother with (I hope it's only me that doesn't bother with it)

Shinyhead

  • Guest
Re: The name game :: Object Snaps
« Reply #33 on: May 04, 2006, 07:18:24 AM »
Well.... :-P

I use fro and o'snaps in macros to give me control of how a routine works without needing lisp, its actually very handy. But for general command line usage no, its kind of a pain. ;-)

Shinyhead

  • Guest
Re: The name game :: Object Snaps
« Reply #34 on: May 04, 2006, 07:19:41 AM »
Many times when you want to Osnap to the INSertion point of a block that contains lots of of attributes, AutoCAD will snap to the attribute insertion points instead of the blocks insertion point (they should have given text objects a unique osnap).  You can avoid this by preceding your INSertion osnap with a QUIck osnap. 

This can been down by typing at the command prompt QUI,INS using a comma to separate the osnaps.  Or it can also be done one snap at a time by using a toolbar or menu:  QUI<Enter>INS<Enter>.



[fixed typo]



That is something I am gonna have to play with, I have had issues with that of late.

Chuck Gabriel

  • Guest
Re: The name game :: Object Snaps
« Reply #35 on: May 04, 2006, 08:02:04 AM »
fro (from) can be used in conjunction w/ osnaps and while it does cool thangs it's too confusing to bother with (I hope it's only me that doesn't bother with it)

This little gem predates the addition of the "from" functionality, but I still prefer it.  I'm sorry to say I have no idea who the original author is.  I'm sure someone here probably knows, since I've seen this routine in use in more than one office.

Code: [Select]
;;; This is a useful routine for obtaining a relative point.
;;; It can be used whenever an AutoCAD command requests a point.
;;; Just enter "(ref)" in response to the "...point:" prompt, and
;;; enter the desired base (reference) point and the relative/polar
;;; offset from that point.

(defun ref ()
  (getpoint (getpoint "\nSelect base point. ")
    "\nEnter offset or drag direction and select distance: "
  )
)

SDETERS

  • Guest
Re: The name game :: Object Snaps
« Reply #36 on: May 04, 2006, 08:13:50 AM »
If you are a autocad user and do not use osnaps and have .001 or so gaps between all of your objects I am sure you would be drug out in the street and shot by the next person who works on your drawing!   :pissed:

Sdoman

  • Guest
Re: The name game :: Object Snaps
« Reply #37 on: May 04, 2006, 08:26:31 AM »
The QUIck osnap isn't listed on AutoCAD's menus any more, so I am sure a lot of users don't know about it or have forgotten about it.  It is used as a modifier to the osnap that follows it.   Another situation where QUIck is useful, is when osnaping to entities embedded in large Xrefs.

Bryco

  • Water Moccasin
  • Posts: 1883
Re: The name game :: Object Snaps
« Reply #38 on: May 04, 2006, 09:14:49 AM »
mtp or m2p is a new osnap-middle point between two points

CADaver

  • Guest
Re: The name game :: Object Snaps
« Reply #39 on: May 04, 2006, 05:56:39 PM »
fro (from) can be used in conjunction w/ osnaps and while it does cool thangs it's too confusing to bother with (I hope it's only me that doesn't bother with it)

This little gem predates the addition of the "from" functionality, but I still prefer it.  I'm sorry to say I have no idea who the original author is.  I'm sure someone here probably knows, since I've seen this routine in use in more than one office.

Code: [Select]
;;; This is a useful routine for obtaining a relative point.
;;; It can be used whenever an AutoCAD command requests a point.
;;; Just enter "(ref)" in response to the "...point:" prompt, and
;;; enter the desired base (reference) point and the relative/polar
;;; offset from that point.

(defun ref ()
  (getpoint (getpoint "\nSelect base point. ")
    "\nEnter offset or drag direction and select distance: "
  )
)

I wrote this in 1987:
Code: [Select]
(defun ro ()  (getpoint (getpoint "\nReference point: ") "\nOffset from reference: "))
Along with this APPINT workaround

Code: [Select]
(defun ip (/ line1 line2 list1 list2)
    (setq line1 (entsel "\nSelect first line: ")
  line2 (entsel "\nSelect second line: ")
  list1 (entget (car line1))
  list2 (entget (car line2))
    )
    (inters (cdr (assoc 10 list1)) (cdr (assoc 11 list1)) (cdr (assoc 10 list2)) (cdr (assoc 11 list2)) nil)
)

VerticalMojo

  • Guest
Re: The name game :: Object Snaps
« Reply #40 on: May 11, 2006, 12:49:35 PM »
Often a saying used when something comes at a shock or out of nowhere.

For example: O' snap! That guy just ran a red light!   

                                        or

                   O' snap! You just got dissed by that girl!

For more examples see the movie Zoolander.....